-- +goose Up
-- +goose StatementBegin
CREATE TABLE medias(
    id SERIAL8 PRIMARY KEY,
    created_at timestamp NOT NULL DEFAULT now(),
    name varchar(255) NOT NULL DEFAULT '',
    mime_type varchar(128) NOT NULL DEFAULT '',
    size int8 NOT NULL DEFAULT 0,
    path varchar(255) NOT NULL DEFAULT '',
    metas jsonb NOT NULL DEFAULT '{}' ::jsonb,
    hash varchar(64) NOT NULL DEFAULT ''
);

-- +goose StatementEnd
-- +goose Down
-- +goose StatementBegin
DROP TABLE medias;

-- +goose StatementEnd
